<TeXmacs|1.0.2>

<style|<tuple|help|axiom-tutorial>>

<\body>
  <apply|aboveTopic|calculusTOC.tm><apply|windowTitle|More about integration>
  <section|3.6. More about integration>

  In the last section's example, we were fortunate enough that
  <apply|Language|> could find a single expression for the integral,
  regardless of the value of <with|mode|math|n>. However (still restricting
  ourselves to the real domain), the form of the integral can sometimes
  depend on the values of parameters (such as <with|font family|tt|n> in that
  example):

  <apply|bogusAxiomLink|<verbatim|I(1/(a+x^2),x)>|<vspace|0.5fn><format|new
  line><expand|equation*|<left|[><frac|log
  <left|(><frac|<left|(>x<rsup|2>-a<right|)><sqrt|-a>+2a*x|x<rsup|2>+a><right|)>|2<sqrt|-a>>,<space|0.5spc><frac|arctan
  <left|(><frac|x<sqrt|a>|a><right|)>|<sqrt|a>><right|]><apply|leqno>(27)><format|new
  line><vspace|1fn><apply|break|>Type: <apply|bogusLispLink|<verbatim|(\|conPage\|
  '( \|Union\| ( \|Expression\| ( \|Integer\| ) ) ( \|List\| ( \|Expression\|
  ( \|Integer\| ) ) ) ))>|<verbatim|Union>>(<apply|bogusLispLink|<verbatim|(\|conPage\|
  '( \|Expression\| ( \|Integer\| ) ))>|<verbatim|Expression>>
  <apply|bogusLispLink|<verbatim|(\|conPage\| '( \|Integer\|
  ))>|<verbatim|Integer>>,<apply|bogusLispLink|<verbatim|(\|conPage\| '(
  \|List\| ( \|Expression\| ( \|Integer\| ) ) ))>|<verbatim|List>>
  <apply|bogusLispLink|<verbatim|(\|conPage\| '( \|Expression\| ( \|Integer\|
  ) ))>|<verbatim|Expression>> <apply|bogusLispLink|<verbatim|(\|conPage\| '(
  \|Integer\| ))>|<verbatim|Integer>>) <vspace|1fn>|>

  <apply|Language|> does not indicate the range of parameter values for which
  each form is applicable. However, the presence of the square root of
  <with|font family|tt|a> or <with|font family|tt|-a> makes it fairly obvious
  that the first form applies for <with|font family|tt|a
  ><with|mode|math|\<less\>0> and the second for <with|font family|tt|a
  ><with|mode|math|\<gtr\>0>. The <with|font family|tt|a ><with|mode|math|=0>
  case is, again, a limit, as can be seen by taking the series expansion of,
  say, the second form:

  <apply|bogusAxiomLink|<verbatim|series(second %,
  a=0)>|<vspace|0.5fn><format|new line><expand|equation*|<frac|\<pi\>|2>a<rsup|<left|(>-<frac|1|2><right|)>>-<frac|1|x>+<frac|1|3x<rsup|3>>a-<frac|1|5x<rsup|5>>a<rsup|2>+O<left|(>a<rsup|<frac|5|2>><right|)><apply|leqno>(28)><format|new
  line><vspace|1fn><apply|break|>Type: <apply|bogusLispLink|<verbatim|(\|conPage\|
  '( \|UnivariatePuiseuxSeries\| ( \|Expression\| ( \|Integer\| ) ) (QUOTE
  \ \|a\| ) (QUOTE \ ( ( 0 \ . \ 0 ) \ \ 0 \ . \ 1 ) )
  ))>|<verbatim|UnivariatePuiseuxSeries>>(<apply|bogusLispLink|<verbatim|(\|conPage\|
  '( \|Expression\| ( \|Integer\| ) ))>|<verbatim|Expression>>
  <apply|bogusLispLink|<verbatim|(\|conPage\| '( \|Integer\|
  ))>|<verbatim|Integer>>,a,<verbatim|0>) <vspace|1fn>|>

  If the first (constant) term is subtracted from the integral, the
  corresponding series would begin with the term

  <\expand|equation*>
    <frac|-1|x>
  </expand>

  and all of the remaining terms would involve positive powers of <with|font
  family|tt|a>, and so vanish in the limit at <with|font family|tt|a = 0>.

  <apply|nextTopic|calculus07.tm> <apply|previousTopic|calculus05.tm>
</body>

<\initial>
  <\collection>
    <associate|paragraph width|150mm>
    <associate|odd page margin|30mm>
    <associate|page right margin|30mm>
    <associate|page top margin|30mm>
    <associate|reduction page right margin|25mm>
    <associate|reduction page bottom margin|15mm>
    <associate|even page margin|30mm>
    <associate|reduction page left margin|25mm>
    <associate|page bottom margin|30mm>
    <associate|reduction page top margin|15mm>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|toc-1|<tuple|<uninit>|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|toc>
      3.6. More about integration<value|toc-dots><pageref|toc-1>
    </associate>
  </collection>
</auxiliary>
